# $Id: smeserver-megaraidmon.spec,v 1.3 2009/03/03 18:39:13 vip-ire Exp $
# Authority: vip-ire
# Name: Daniel Berteaud

#%define fpbxversion 2.5.0
%define version	0.1
%define release 2
%define name smeserver-megaraidmon


Summary:	A small tool to monitor MegaRAID based RAID Controler
Name:		%{name}
Version:	%{version}
Release:    	%{release}%{?dist}
License:    	GPL
Group:		System/Servers
Source:		%{name}-%{version}.tar.gz

Patch0:		smeserver-megaraidmon-0.1-disable_megacli_log.patch

BuildRoot:	/var/tmp/%{name}-%{version}-%{release}-buildroot
URL:		http://www.lsi.com/

BuildRequires:	e-smith-devtools
BuildArch:	noarch

Requires:	perl(Mail::Send)
Requires:	perl(esmith::ConfigDB)
Requires:	e-smith-base
Requires:	MegaCli
AutoReqProv: 	no


%description
This small tool will just run a cron job which will check the state of your logical disk.
If the state is not Optimal, it'll send a mail to admin_raidreport (which is an alias for admin by default)


%changelog
* Tue May 04 2010 Daniel B. <daniel@firewall-services.com> 0.1-2.sme
- disable MegaCli log

* Tue Mar 03 2009 daniel B. <daniel@firewall-services.com> [0.1-1]
- Add e-smith-devtools as a dependencie

* Tue Nov 25 2008 daniel B. <daniel@firewall-services.com> [0.1-0]
- initial release

%prep

%setup -q -n %{name}-%{version}
%patch0 -p1

%build
# Build symlinks
#perl createlinks


%install
rm -rf $RPM_BUILD_ROOT
(cd root   ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT \
	--file /usr/bin/megaraidmon 'attr(0755,root,root)' \
	 > %{name}-%{version}-%{release}-filelist

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}-%{version}-%{release}-filelist
%defattr(-,root,root)

#true

